> **Can't find what you're looking for?** Use `search_docs` on the docs MCP server at `https://docs.prividium.com/api/mcp` to find what you need.
>
> **Have feedback?** Use `submit_feedback` on the same MCP server.

# siwe-message

## POST /siwe-messages/

`POST /siwe-messages/`

### Request body (required) (`application/json`)

- `address` `string` _(required)_
- `domain` `string`
- `organizationId` `string`

### Responses

#### `200`: Default Response

Body (`application/json`):

- `nonce` `string` _(required)_
- `msg` `string` _(required)_
- `nonceToken` `string` _(required)_

#### `400`: Default Response

Body (`application/json`):

- `error` `object` _(required)_
  - `code` `string` _(required)_
  - `message` `string` _(required)_
  - `issues` `unknown[]`

#### `403`: Default Response

Body (`application/json`):

- `error` `object` _(required)_
  - `code` `string` _(required)_
  - `message` `string` _(required)_
  - `issues` `unknown[]`

### Example request

```bash
curl /api/siwe-messages/ \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "address": "string",
  "domain": "string",
  "organizationId": "string"
}'
```

```ts
fetch('/api/siwe-messages/', {
  method: 'POST',
  headers: {
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    address: 'string',
    domain: 'string',
    organizationId: 'string'
  })
})
```

## POST /siwe-messages/tenants

`POST /siwe-messages/tenants`

creates a siwe message to login as a tenant

### Request body (required) (`application/json`)

- `address` `string` _(required)_

### Responses

#### `200`: Default Response

Body (`application/json`):

- `nonce` `string` _(required)_
- `msg` `string` _(required)_
- `nonceToken` `string` _(required)_

#### `403`: Default Response

Body (`application/json`):

- `error` `object` _(required)_
  - `code` `string` _(required)_
  - `message` `string` _(required)_
  - `issues` `unknown[]`

### Example request

```bash
curl /api/siwe-messages/tenants \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "address": "string"
}'
```

```ts
fetch('/api/siwe-messages/tenants', {
  method: 'POST',
  headers: {
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    address: 'string'
  })
})
```

## POST /siwe-messages/services

`POST /siwe-messages/services`

creates a siwe message to login as a service

### Request body (required) (`application/json`)

- `address` `string` _(required)_

### Responses

#### `200`: Default Response

Body (`application/json`):

- `nonce` `string` _(required)_
- `msg` `string` _(required)_
- `nonceToken` `string` _(required)_

#### `403`: Default Response

Body (`application/json`):

- `error` `object` _(required)_
  - `code` `string` _(required)_
  - `message` `string` _(required)_
  - `issues` `unknown[]`

### Example request

```bash
curl /api/siwe-messages/services \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "address": "string"
}'
```

```ts
fetch('/api/siwe-messages/services', {
  method: 'POST',
  headers: {
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    address: 'string'
  })
})
```
